Package com.independentsoft.office.spreadsheet

# Class AutoFilter

java.lang.Object
com.independentsoft.office.spreadsheet.AutoFilter

public class AutoFilter extends Object
The Class AutoFilter.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AutoFilter()`
  Instantiates a new auto filter.
  `AutoFilter​(InternalXMLStreamReader reader)`
  Instantiates a new auto filter.
  `AutoFilter​(String reference)`
  Instantiates a new auto filter.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AutoFilter`
  `clone()`
  `List<FilterColumn>`
  `getFilterColumns()`
  Gets the filter columns.
  `String`
  `getReference()`
  Gets the reference.
  `SortState`
  `getSortState()`
  Gets the sort state.
  `void`
  `setReference​(String reference)`
  Sets the reference.
  `void`
  `setSortState​(SortState sortState)`
  Sets the sort state.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AutoFilter

    public AutoFilter()
    Instantiates a new auto filter.

  - ### AutoFilter

    public AutoFilter​(String reference)
    Instantiates a new auto filter.
    Parameters:
      `reference` - the reference

  - ### AutoFilter

    public AutoFilter​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new auto filter.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public AutoFilter clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getReference

    public String getReference()
    Gets the reference.
    Returns:
      the reference

  - ### setReference

    public void setReference​(String reference)
    Sets the reference.
    Parameters:
      `reference` - the new reference

  - ### getSortState

    public SortState getSortState()
    Gets the sort state.
    Returns:
      the sort state

  - ### setSortState

    public void setSortState​(SortState sortState)
    Sets the sort state.
    Parameters:
      `sortState` - the new sort state

  - ### getFilterColumns

    public List<FilterColumn> getFilterColumns()
    Gets the filter columns.
    Returns:
      the filter columns